Skip to content

Validate Extraction Schema

ExtractV2SchemaValidateResponse Extract.ValidateSchema(ExtractValidateSchemaParamsparameters, CancellationTokencancellationToken = default)
POST/api/v2/extract/schema/validation

Validate a JSON schema for extraction.

ParametersExpand Collapse
ExtractValidateSchemaParams parameters
required IReadOnlyDictionary<string, DataSchema?> dataSchema

JSON Schema to validate for use with extract jobs

IReadOnlyDictionary<string, JsonElement>
IReadOnlyList<JsonElement>
string
Double
Boolean
ReturnsExpand Collapse
class ExtractV2SchemaValidateResponse:

Response schema for schema validation.

required IReadOnlyDictionary<string, DataSchema?> DataSchema

Validated JSON Schema, ready for use in extract jobs

One of the following:
IReadOnlyDictionary<string, JsonElement>
IReadOnlyList<JsonElement>
string
Double
Boolean

Validate Extraction Schema

ExtractValidateSchemaParams parameters = new()
{
    DataSchema = new Dictionary<string, DataSchema?>()
    {
        { "properties", new(
            new Dictionary<string, JsonElement>()
            {
                { "invoice_number", JsonSerializer.SerializeToElement("bar") },
                { "line_items", JsonSerializer.SerializeToElement("bar") },
                { "total_amount", JsonSerializer.SerializeToElement("bar") },
                { "vendor_name", JsonSerializer.SerializeToElement("bar") },
            }
        ) },
        { "required", new(

            [
                JsonSerializer.SerializeToElement("invoice_number"),
                JsonSerializer.SerializeToElement("total_amount"),
                JsonSerializer.SerializeToElement("vendor_name"),
            ]
        ) },
        { "type", "object" },
    },
};

var extractV2SchemaValidateResponse = await client.Extract.ValidateSchema(parameters);

Console.WriteLine(extractV2SchemaValidateResponse);
{
  "data_schema": {
    "foo": {
      "foo": "bar"
    }
  }
}
Returns Examples
{
  "data_schema": {
    "foo": {
      "foo": "bar"
    }
  }
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/